"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lavalink_1 = require("lavalink");
const Redis = require("ioredis");
const QueueStore_1 = require("./QueueStore");
exports.QueueStore = QueueStore_1.default;
const Queue_1 = require("./Queue");
exports.Queue = Queue_1.default;
class Client extends lavalink_1.default {
    constructor(opts) {
        if (!opts.hosts || !opts.hosts.redis)
            throw new Error('cannot make a queue without a Redis connection');
        super(opts);
        this.queues = new QueueStore_1.default(this, opts.hosts.redis instanceof Redis ? opts.hosts.redis : new Redis(opts.hosts.redis));
        this.advanceBy = opts.advanceBy || (() => 1);
        this.on('event', (d) => {
            this.queues.get(d.guildId).emit('event', d);
        });
        this.on('playerUpdate', (d) => {
            this.queues.get(d.guildId).emit('playerUpdate', d);
        });
    }
}
exports.Client = Client;
exports.default = Client;

//# sourceMappingURL=index.js.map
