import BaseClient from 'lavalink';
import Redis = require('ioredis');
import QueueStore from './QueueStore';
import Queue from './Queue';
import { NodeOptions } from 'lavalink/typings/Node';
export interface Options extends NodeOptions {
    hosts?: {
        ws?: string;
        rest?: string;
        redis?: Redis.Redis | Redis.RedisOptions;
    };
    advanceBy?: (queue: Queue, info: {
        previous: string;
        remaining: number;
    }) => number;
}
export declare class Client extends BaseClient {
    readonly queues: QueueStore;
    advanceBy: (queue: Queue, info: {
        previous: string;
        remaining: number;
    }) => number;
    constructor(opts: Options);
}
export { QueueStore, Queue, };
export default Client;
